<?
session_start();
if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='index.php'; ";
	echo "</script>";
}
include ("clases/autor.class.php");
include ("clases/curso.class.php");
include ("clases/doc_curso.class.php"); $objdc = new doc_curso();
$objd = new autor();
if($objd->BuscarPorNombre($_SESSION['usuario']))
	{
	  $nombre = $objd->getNombres();
	  $apellido = $objd->getApellidos();
	  $email = $objd->getEmail();
	  $foto = $objd->getFoto();
	  $dir = $objd->getDireccion();
	  $iddoc = $objd->getIddoc();
	  $tel = $objd->getTelefono();
	}
?>
<?
include("clases/pregunta.class.php");
include("clases/respuesta.class.php");
$objp=new pregunta(); $objr = new respuesta();
$idpreg = $_REQUEST["idpreg"];
if($objp->BuscarPorCodigo($idpreg))
	{
		$vpreg=$objp->getPregunta();		
	}	
?>
<?
$cod = $_REQUEST['id'];
if($objr->BuscarPorCodigo($cod))
	{		
		$idpre = $objr->getIdpregunta();
		$idres = $objr->getIdrespuesta();
		$respuesta=$objr->getRespuesta();
		$correcto = $objr->getCorrecto();
		////////////////////////////
		$boton = "Modificar";	
		$valor = "M";
	}else{  $valor = "R";
			$boton = "Grabar";}
?>
<html>
<head>
<title>MANTENIMIENTO DE TIENDA</title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="Shortcut Icon" type="image/x-icon" href="assets/icons/book.ico" />
    <script src="js/sweet-alert.min.js"></script>
    <link rel="stylesheet" href="css/sweet-alert.css">
    <link rel="stylesheet" href="css/material-design-iconic-font.min.css">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="css/timeline.css">
    <link rel="stylesheet" href="css/style.css">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/main.js"></script>
<style>
.text_docentes2{ font-size:12px; font-family:Arial, Helvetica, sans-serif;}
</style>
</head>

<script language="javascript">
		
	function Nuevo(f)
	{  
	
	if(frmMan.respuesta.value==""){
		frmMan.respuesta.focus();
		alert("INGRESE RESPUESTA");
		return true;
	}
			
	if(frmMan.correcto.value==""){
		frmMan.correcto.focus();
		alert("SELECCIONE LA OPCION DE CORRECTO");
		return true;
	}
	
		f.action='controladores/procesarespuesta.php';
		f.submit();
		return true;	
	}
	function salir(){ 
		document.frmMan.action='manpreguntas.php';
		document.frmMan.submit();
		return true;			
	} 
</script>

<script language="javascript">	
	function validar(e) { // 1
    tecla = (document.all) ? e.keyCode : e.which; // 2
    if (tecla==8) return true; // 3
    patron =/[A-Za-z��\s]/; // 4
    te = String.fromCharCode(tecla); // 5
    return patron.test(te); // 6
} 
</script>	
<body>

	<form name="frmMan" method="post" action="">
	<div class="panel-heading">
      <h2>REGISTRAR ALTERNATIVAS: 
      <?=$con;?><a href="manpreguntas.php?id=<?=$iddoc;?>" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-share" aria-hidden="true"></span></a></h2>
	</div> 
	<div class="form-group">
	  <center> <h4>PREGUNTA: <?=$vpreg;?> <input type="hidden" name="idpregunta" value="<?=$idpreg;?>"></h4></center>
	    
	</div>
	
	  <table width="86%" border="0" cellspacing="1" class="v2-collapse-shadow" align="center">
  	<tr class="TableHeader">
  	  <td width="100%" align="center" class="ctextos Estilo1"><span class="Estilo21">
  	    <input type="hidden" name="idrespuesta" value="<?=$cod;?>">
  	    <input name="txtpara" type="hidden" value="<?=$valor;?>" >
  	  </span></td>
  	  </tr>
  	<tr bgcolor="#FFFFFF">
  	  <td height="55" align="left" class="form_label Estilo9 Estilo19"><table width="100%" border="0"  rules="none" class="Estilo1">
        
        <tr>
          <td width="31%"><span class="Estilo21">Respuesta </span></td>
          <td colspan="2" align="center">Correcto</td>
          <td width="49%">&nbsp;</td>
          </tr>
        <tr>
          <td><input name="respuesta" type="text" class="form-control" onKeyUp="javascript:this.value=this.value.toUpperCase();" value="<?=$respuesta;?>" size="65"/></td>
          <td colspan="2" align="center"><select name="correcto" class="form-control-static">
            <option value="<?=$correcto;?>">
              <?=$correcto;?>
              </option>
            <option value="SI">SI</option>
            <option value="NO">NO</option>
          </select></td>
          <td><input name="BtnNuevo" type="button" value="<?=$boton;?>" onClick="Nuevo(this.form)"  class="btn btn-success"/>
            <a href="manpreguntas.php?id=<?=$iddoc;?>"></a></td>
          </tr>
        <tr>
          <td colspan="4">&nbsp;</td>
          </tr>
        
        
        
      </table></td>
  	  </tr>
  	<tr bgcolor="#FFFFFF">
  	  <td height="67" align="left" class="form_label"><table class="table table-responsive">
        <tr class="active">
          <td >Respuesta</td>
          <td >Correcto</td>
          <td >&nbsp;</td>
        </tr>
        <?php
			
		
		$listacont = $objr->ListarPorPregunta($idpreg); 
		////////////////////////////
		if(count($listacont)<0){
               echo "<div align='center'>";
               echo "<font face='verdana' size='-2'>No se encontraron resultados</font>";
               echo "</div>";
            }else{ 			      
			      $tamPag=30;
             	  //pagina actual si no esta definida y limites
                  if(!isset($_GET["pag"])){
        			 $pagina=1;
       			     $inicio=1;
       			     $final=$tamPag;
    			    }else{
       				     $pagina = $_GET["pag"];
    		             }
    			  //calculo del limite inferior
    			  $limitInf=($pagina-1)*$tamPag;
    			  //calculo del numero de paginas
    			  $numPags=ceil(count($listacont)/$tamPag);
    		     if(!isset($pagina))
    		       {
      		 		  $pagina=1;
      		 		  $inicio=1;
      		 		  $final=$tamPag;
    				}else{
      		 			    $seccionActual=intval(($pagina-1)/$tamPag);
       		 			    $inicio=($seccionActual*$tamPag)+1;

       					    if($pagina<$numPags){
         		 		       $final=$inicio+$tamPag-1;
       					    }else{
          					      $final=$numPags;
       					         }
       					    if ($final>$numPags){
          					    $final=$numPags;
       					       }
					      }	
			////////////////////////////////////////////////
			     //$listacon=$objclie->ListaPaginada($criterio,$limitInf,$tamPag);	
				  $listacon=$listacont;	  		
		
		 for($i = 0; $i < count($listacon); $i++)
		 {  
		    
		?>
        <tr onMouseOver="this.style.backgroundColor='#f5f5f5'" onMouseOut="this.style.backgroundColor='FFFFFF'" class="text_docentes">
          <td align="left"><?=$listacon[$i]["respuesta"];?></td>
          <td align="left">
            <?=$listacon[$i]["correcto"];?>          </td>
          <td width="69" align="center" ><a href="controladores/procesarespuesta.php?idres=<?=$listacon[$i]['idrespuesta'];?>&txtpara=e&idpregunta=<?=$listacon[$i]["idpregunta"];?>"><span class="glyphicon glyphicon-trash"></span></a></td >
        </tr>
        <?php	
		 }	
		?>
      </table> 
  	  <? }	?> 	    </td>
  	  </tr>
  	<tr bgcolor="#FFFFFF">
  	  <td align="left" class="form_label"><table width="302" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td width="20"  align="center" valign="top">&nbsp;</td>
          <td width="282"  align="center" valign="top"><?
    if($pagina>1)
    {
       echo "<a class='p' href='".$_SERVER["PHP_SELF"]."?pag=".($pagina-1)."'>";
       echo "<font face='verdana' size='-2'>anterior</font>";
       echo "</a> ";
    }

    for($j=$inicio;$j<=$final;$j++)
    {
       if($j==$pagina)
       {
          echo "<font face='verdana' size='-2'><b>".$j."</b> </font>";
       }else{
          echo "<a class='p' href='".$_SERVER["PHP_SELF"]."?pag=".$j."'>";
          echo "<font face='verdana' size='-2'>".$j."</font></a> ";
       }
    }
    if($pagina<$numPags)
   {
       echo " <a class='p' href='".$_SERVER["PHP_SELF"]."?pag=".($pagina+1)."'>";
       echo "<font face='verdana' size='-2'>siguiente</font></a>";
   }
  
//////////fin de la paginacion
?></td>
        </tr>
        <tr>
          <td  align="center" valign="top">&nbsp;</td>
          <td  align="center" valign="top"><?  echo "<font face='verdana' size='-2'>Total encontrados: ".count($listacont)." registros<br>";?></td>
        </tr>
      </table></td>
	  </tr>
	</table>
	</form>

</body>
</html>


